Mailinglist Archive: opensuse-bugs (4172 mails)

< Previous Next >
[Bug 513018] New: zypper dup on clean 11.1 install
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sun, 14 Jun 2009 02:54:03 -0600
  • Message-id: <bug-513018-21960@xxxxxxxxxxxxxxxxxxxxxxxx/>
http://bugzilla.novell.com/show_bug.cgi?id=513018


Summary: zypper dup on clean 11.1 install
Classification: openSUSE
Product: openSUSE 11.1
Version: Final
Platform: Other
OS/Version: Other
Status: NEW
Severity: Normal
Priority: P5 - None
Component: libzypp
AssignedTo: zypp-maintainers@xxxxxxxxxxxxxxxxxxxxxx
ReportedBy: m.moeller@xxxxxxxxxxxx
QAContact: qa@xxxxxxx
Found By: ---


User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.9.0.10)
Gecko/2009042700 SUSE/3.0.10-1.1.1 Firefox/3.0.10

Executing zypper dup on a fresh oS 11.1 installation without 3rd party
repositories and with the default 11.1 repo definitions causes these
updates/downgrades to be installed:

# zypper -vv dup
Verbosity: 2
Initializing Target
Checking whether to refresh metadata for openSUSE-11.1-Debug
Checking whether to refresh metadata for openSUSE-11.1-Source
Loading repository data...
Reading installed packages...
Computing distribution upgrade...
Force resolution: No
Computing upgrade...

The following package is going to be downgraded:
openSUSE-release-11.1-1.19.i586 (openSUSE-11.1-Oss, openSUSE)


The following NEW packages are going to be installed:
alsa-plugins-1.0.18-6.12.i586 (openSUSE-11.1-Oss, openSUSE)
bash-doc-3.2-141.10.i586 (openSUSE-11.1-Oss, openSUSE)
desktop-translations-11.1-6.4.1.noarch (openSUSE-11.1-Update, openSUSE)
flash-player-10.0.22.87-0.1.1.i586 (openSUSE-11.1-Update, openSUSE)
gcc43-gij-4.3.3_20081022-9.2.i586 (openSUSE-11.1-Oss, openSUSE)
gcc-gij-4.3-34.168.i586 (openSUSE-11.1-Oss, openSUSE)
gst-fluendo-mp3-2-37.6.i586 (openSUSE-11.1-Non-Oss, openSUSE)
java-1_5_0-gcj-compat-1.5.0.0-56.61.i586 (openSUSE-11.1-Oss, openSUSE)
libflashsupport-1.2-4.20.i586 (openSUSE-11.1-Oss, openSUSE)
libgcj43-4.3.3_20081022-9.2.i586 (openSUSE-11.1-Oss, openSUSE)
opensuse-manual_en-pdf-11.1-29.5.1.noarch (openSUSE-11.1-Update, openSUSE)
poppler-data-0.2.1-2.1.1.noarch (openSUSE-11.1-Update, openSUSE)


The following packages are going to be reinstalled:
adaptec-firmware-1.35-1.5.noarch (openSUSE-11.1-Oss, openSUSE)
apparmor-profiles-2.3-42.5.noarch (openSUSE-11.1-Oss, openSUSE)
apparmor-utils-2.3.1-5.5.noarch (openSUSE-11.1-Oss, openSUSE)
bundle-lang-common-de-11.1-11.2.noarch (openSUSE-11.1-Oss, openSUSE)
bundle-lang-common-en-11.1-11.2.noarch (openSUSE-11.1-Oss, openSUSE)
bundle-lang-gnome-de-11.1-11.3.noarch (openSUSE-11.1-Oss, openSUSE)
bundle-lang-gnome-en-11.1-11.3.noarch (openSUSE-11.1-Oss, openSUSE)
compiz-manager-0.0.1_git080201-52.1.noarch (openSUSE-11.1-Oss, openSUSE)
desktop-data-openSUSE-11.1-36.10.noarch (openSUSE-11.1-Oss, openSUSE)
docbook_4-4.5-111.8.noarch (openSUSE-11.1-Oss, openSUSE)
glib2-branding-openSUSE-2.16-44.6.noarch (openSUSE-11.1-Oss, openSUSE)
iso_ent-2000.11.03-805.8.noarch (openSUSE-11.1-Oss, openSUSE)
liberation-fonts-1.03-1.3.noarch (openSUSE-11.1-Oss, openSUSE)
mpt-firmware-1.0-237.1.noarch (openSUSE-11.1-Oss, openSUSE)
myspell-american-20060207-8.3.noarch (openSUSE-11.1-Oss, openSUSE)
OpenOffice_org-branding-openSUSE-3.0-24.16.noarch (openSUSE-11.1-Oss,
openSUSE)
OpenOffice_org-l10n-extras-3.0.0.9-1.11.noarch (openSUSE-11.1-Oss, openSUSE)
OpenOffice_org-templates-labels-a4-1.0-2.3.noarch (openSUSE-11.1-Oss,
openSUSE)
OpenOffice_org-templates-labels-letter-1.0-2.3.noarch (openSUSE-11.1-Oss,
openSUSE)
openSUSE-build-key-1.0-3.18.noarch (openSUSE-11.1-Oss, openSUSE)
pciutils-ids-2008.11.26-2.4.noarch (openSUSE-11.1-Oss, openSUSE)
pidgin-branding-openSUSE-11.1-8.20.noarch (openSUSE-11.1-Oss, openSUSE)
pm-profiler-0.1-15.4.noarch (openSUSE-11.1-Oss, openSUSE)
polkit-default-privs-0.1_200811250855-1.5.noarch (openSUSE-11.1-Oss,
openSUSE)
pullin-flash-player-11.1-1.1.noarch (openSUSE-11.1-Oss, openSUSE)
ralink-firmware-1.0-24.8.noarch (openSUSE-11.1-Oss, openSUSE)
sound-theme-freedesktop-0.2-1.6.noarch (openSUSE-11.1-Oss, openSUSE)
suseRegister-1.3-13.3.noarch (openSUSE-11.1-Oss, openSUSE)
update-alternatives-1.14.19-1.40.noarch (openSUSE-11.1-Oss, openSUSE)
xmlcharent-0.3-403.8.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-apparmor-2.17.4-1.5.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-backup-2.17.3-1.1.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-branding-openSUSE-2.17.0-9.10.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-firewall-2.17.6-1.1.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-inetd-2.17.3-1.4.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-installation-2.17.43-1.2.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-iscsi-client-2.17.5-1.2.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-registration-2.17.17-1.1.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-registration-branding-openSUSE-2.17.17-1.1.noarch (openSUSE-11.1-Oss,
openSUSE)
yast2-sudo-2.17.2-1.2.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-theme-openSUSE-2.17.13-1.3.noarch (openSUSE-11.1-Oss, openSUSE)
yast2-trans-en_US-2.17.5-1.8.noarch (openSUSE-11.1-Oss, openSUSE)


The following product is going to be reinstalled:
openSUSE-11.1-0.i586 (openSUSE-11.1-Oss, openSUSE)


The following package is going to change vendor:
openSUSE-release-11.1-1.19.i586 (openSUSE-11.1-Oss, openSUSE)


...

I have also noticed that the packages in the section will be forced to install
affter adding a 3rd party repo and installing packages from it using sw_single.

These packages won't be installed due to zypper up

Very strange behavior.
Best Regards
Marcus

Reproducible: Always

Steps to Reproduce:
1. zypper dup
or
2. add 3rd party repo, install package from this repo will also install all
packages from the above 'The following NEW packages are going to be installed'
section.
Actual Results:
zypper dup will install/remove packages on a fresh oS 11.1 installation without
repo changes.

Expected Results:
zypper dup will simply do nothing on a fresh install with original repos and
only upgrade packages if new repo/versions are added.

--
Configure bugmail: http://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >